Index: src/sas/sasgui/perspectives/corfunc/corfunc_panel.py
===================================================================
--- src/sas/sasgui/perspectives/corfunc/corfunc_panel.py	(revision ef74a8b4c5fbc72695853e60c09c0379d8d1c2c6)
+++ src/sas/sasgui/perspectives/corfunc/corfunc_panel.py	(revision ef74a8b4c5fbc72695853e60c09c0379d8d1c2c6)
@@ -17,5 +17,5 @@
 from sas.sascalc.corfunc.corfunc_calculator import CorfuncCalculator
 from sas.sasgui.guiframe.documentation_window import DocumentationWindow
-from plot_labels import *
+from .plot_labels import *
 
 OUTPUT_STRINGS = {
@@ -396,5 +396,5 @@
                 output.SetValue('-')
             return
-        for key, value in params.iteritems():
+        for key, value in params.items():
             output = self._extrapolation_outputs[key]
             rounded = self._round_sig_figs(value, 6)
@@ -417,5 +417,5 @@
                 # Not all parameters were calculated
                 error = True
-            for key, value in params.iteritems():
+            for key, value in params.items():
                 rounded = self._round_sig_figs(value, 6)
                 self._output_boxes[key].SetValue(rounded)
@@ -549,5 +549,5 @@
             wx.CENTER | wx.ADJUST_MINSIZE, 15)
 
-        file_sizer.AddSpacer((1, 25), pos=(0,2))
+        #file_sizer.AddSpacer((1, 25), pos=(0,2))
         databox_sizer.Add(file_sizer, wx.TOP, 15)
 
@@ -713,5 +713,5 @@
         self._output_boxes = dict()
         i = 0
-        for key, value in OUTPUT_STRINGS.iteritems():
+        for key, value in OUTPUT_STRINGS.items():
             # Create a label and a text box for each poperty
             label = wx.StaticText(self, -1, value)
Index: src/sas/sasgui/perspectives/corfunc/corfunc_state.py
===================================================================
--- src/sas/sasgui/perspectives/corfunc/corfunc_state.py	(revision 5652efcc300905660181472befe611868f2ddeb8)
+++ src/sas/sasgui/perspectives/corfunc/corfunc_state.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -74,5 +74,5 @@
         if self.outputs != {} and self.outputs is not None:
             state += "\nOutputs:\n"
-            for key, value in self.outputs.iteritems():
+            for key, value in self.outputs.items():
                 name = output_list[key][1]
                 state += "{}: {}\n".format(name, str(value))
@@ -158,5 +158,5 @@
         state = new_doc.createElement("state")
         top_element.appendChild(state)
-        for name, value in self.saved_state.iteritems():
+        for name, value in self.saved_state.items():
             element = new_doc.createElement(name)
             element.appendChild(new_doc.createTextNode(str(value)))
@@ -181,5 +181,5 @@
             output = new_doc.createElement("output")
             top_element.appendChild(output)
-            for key, value in self.outputs.iteritems():
+            for key, value in self.outputs.items():
                 element = new_doc.createElement(key)
                 element.appendChild(new_doc.createTextNode(str(value)))
@@ -214,7 +214,7 @@
                 try:
                     self.timestamp = (entry.get('epoch'))
-                except:
+                except Exception as exc:
                     msg = ("CorfuncState.fromXML: Could not read timestamp",
-                        "\n{}").format(sys.exc_value)
+                        "\n{}").format(exc)
                     logger.error(msg)
 
@@ -222,5 +222,5 @@
             entry = get_content('ns:state', node)
             if entry is not None:
-                for item in DEFAULT_STATE.iterkeys():
+                for item in DEFAULT_STATE.keys():
                     input_field = get_content("ns:{}".format(item), entry)
                     if input_field is not None:
@@ -283,5 +283,5 @@
             root, ext = os.path.splitext(basename)
             if not ext.lower() in self.ext:
-                raise IOError, "{} is not a supported file type".format(ext)
+                raise IOError("{} is not a supported file type".format(ext))
             tree = etree.parse(path, parser=etree.ETCompatXMLParser())
             root = tree.getroot()
@@ -299,5 +299,5 @@
             # File not found
             msg = "{} is not a valid file path or doesn't exist".format(path)
-            raise IOError, msg
+            raise IOError(msg)
 
         if len(output) == 0:
@@ -323,5 +323,5 @@
             msg = ("The CanSAS writer expects a Data1D instance. {} was "
                 "provided").format(datainfo.__class__.__name__)
-            raise RuntimeError, msg
+            raise RuntimeError(msg)
         if datainfo.title is None or datainfo.title == '':
             datainfo.title = datainfo.name
@@ -358,7 +358,7 @@
                 state = CorfuncState()
                 state.fromXML(nodes[0])
-        except:
+        except Exception as exc:
             msg = "XML document does not contain CorfuncState information\n{}"
-            msg.format(sys.exc_value)
+            msg.format(exc)
             logger.info(msg)
         return state
Index: src/sas/sasgui/perspectives/file_converter/__init__.py
===================================================================
--- src/sas/sasgui/perspectives/file_converter/__init__.py	(revision 77d92cd296d0af12557c509f0c48df88ef5f59e9)
+++ src/sas/sasgui/perspectives/file_converter/__init__.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -1,2 +1,2 @@
 PLUGIN_ID = "File-Converter Plug-In 1.0"
-from file_converter import *
+from .file_converter import *
Index: src/sas/sasgui/perspectives/file_converter/converter_panel.py
===================================================================
--- src/sas/sasgui/perspectives/file_converter/converter_panel.py	(revision a26f67f1457e7e39b79d4c3800c03bcaa208dff7)
+++ src/sas/sasgui/perspectives/file_converter/converter_panel.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -112,5 +112,5 @@
             [group_path, group_name] = os.path.split(filepath)
             ext = "." + group_name.split('.')[-1] # File extension
-            for frame_number, frame_data in frame_data.iteritems():
+            for frame_number, frame_data in frame_data.items():
                 # Append frame number to base filename
                 filename = group_name.replace(ext, str(frame_number)+ext)
@@ -155,5 +155,5 @@
             # If lines end with comma or semi-colon, trim the last character
             if end_char == ',' or end_char == ';':
-                data = map(lambda s: s[0:-1], data)
+                data = [s[0:-1] for s in data]
             else:
                 msg = ("Error reading {}: Lines must end with a digit, comma "
@@ -275,5 +275,5 @@
             else:
                 return { 'frames': [], 'inc': None, 'file': single_file }
-        frames = range(first_frame, last_frame + 1, increment)
+        frames = list(range(first_frame, last_frame + 1, increment))
         return { 'frames': frames, 'inc': increment, 'file': single_file }
 
@@ -335,7 +335,7 @@
         if single_file:
             # Only need to set metadata on first Data1D object
-            frame_data = frame_data.values() # Don't need to know frame numbers
+            frame_data = list(frame_data.values()) # Don't need to know frame numbers
             frame_data[0].filename = output_path.split('\\')[-1]
-            for key, value in metadata.iteritems():
+            for key, value in metadata.items():
                 setattr(frame_data[0], key, value)
         else:
@@ -343,5 +343,5 @@
             for datainfo in frame_data.values():
                 datainfo.filename = output_path.split('\\')[-1]
-                for key, value in metadata.iteritems():
+                for key, value in metadata.items():
                     setattr(datainfo, key, value)
 
@@ -355,5 +355,5 @@
     def convert_2d_data(self, dataset):
         metadata = self.get_metadata()
-        for key, value in metadata.iteritems():
+        for key, value in metadata.items():
             setattr(dataset[0], key, value)
 
Index: src/sas/sasgui/perspectives/file_converter/converter_widgets.py
===================================================================
--- src/sas/sasgui/perspectives/file_converter/converter_widgets.py	(revision 0e11ec7528fae0e8cd8f2e311b10e73c4b19c77b)
+++ src/sas/sasgui/perspectives/file_converter/converter_widgets.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -54,5 +54,5 @@
         v = Vector()
         if not self.Validate(): return v
-        for direction, control in self._inputs.iteritems():
+        for direction, control in self._inputs.items():
             try:
                 value = float(control.GetValue())
Index: src/sas/sasgui/perspectives/fitting/__init__.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/__init__.py	(revision 12d3e0e31a7f9e8d72d50e8ad904316b003a6bea)
+++ src/sas/sasgui/perspectives/fitting/__init__.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -1,6 +1,6 @@
 PLUGIN_ID = "Fitting plug-in 1.0"
 import os
-from fitting import *
 from distutils.filelist import findall
+from .fitting import *
 def get_data_path(media):
     """
Index: src/sas/sasgui/perspectives/fitting/basepage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/basepage.py	(revision 5323490d62009a786d3d071b2197b51ce207354d)
+++ src/sas/sasgui/perspectives/fitting/basepage.py	(revision cb64d86aa05427be27c71cc415727ce4d7fdce69)
@@ -12,5 +12,8 @@
 import logging
 import traceback
-from Queue import Queue
+try: # CRUFT: python 2.x
+    from Queue import Queue
+except ImportError:
+    from queue import Queue
 from threading import Thread
 from collections import defaultdict
@@ -66,4 +69,6 @@
     FONT_VARIANT = 1
     ON_MAC = True
+if sys.version_info[0] >= 3:
+    unicode = str
 
 CUSTOM_MODEL = 'Plugin Models'
@@ -115,5 +120,5 @@
         # Q range for data set
         self.qmin_data_set = np.inf
-        self.qmax_data_set = None
+        self.qmax_data_set = -np.inf
         self.npts_data_set = 0
         # Q range
@@ -624,5 +629,5 @@
         if self.model is not None:
             self.m_name = self.model.name
-        if name in self.saved_states.keys():
+        if name in self.saved_states:
             previous_state = self.saved_states[name]
             # reset state of checkbox,textcrtl  and  regular parameters value
@@ -893,5 +898,5 @@
 
         if len(self._disp_obj_dict) > 0:
-            for k, v in self._disp_obj_dict.iteritems():
+            for k, v in self._disp_obj_dict.items():
                 self.state.disp_obj_dict[k] = v.type
 
@@ -960,5 +965,5 @@
 
             if len(self.disp_cb_dict) > 0:
-                for k, v in self.disp_cb_dict.iteritems():
+                for k, v in self.disp_cb_dict.items():
                     if v is None:
                         self.state.disp_cb_dict[k] = v
@@ -969,5 +974,5 @@
                             self.state.disp_cb_dict[k] = None
             if len(self._disp_obj_dict) > 0:
-                for k, v in self._disp_obj_dict.iteritems():
+                for k, v in self._disp_obj_dict.items():
                     self.state.disp_obj_dict[k] = v.type
 
@@ -1097,6 +1102,5 @@
 
             else:
-                keys = self.model.getParamList()
-                for item in keys:
+                for item in self.model.getParamList():
                     if item in self.disp_list and \
                             item not in self.model.details:
@@ -1142,5 +1146,5 @@
         :return: combo_box_position
         """
-        for key, value in self.master_category_dict.iteritems():
+        for key, value in self.master_category_dict.items():
             formfactor = state.formfactorcombobox.split(":")
             if isinstance(formfactor, list):
@@ -1318,10 +1322,9 @@
         Help to rest page for dispersions
         """
-        keys = self.model.getParamList()
-        for item in keys:
+        for item in self.model.getParamList():
             if item in self.disp_list and \
                             item not in self.model.details:
                 self.model.details[item] = ["", None, None]
-        # for k,v in self.state.disp_cb_dict.iteritems():
+        # for k,v in self.state.disp_cb_dict.items():
         self.disp_cb_dict = copy.deepcopy(state.disp_cb_dict)
         self.state.disp_cb_dict = copy.deepcopy(state.disp_cb_dict)
@@ -1329,5 +1332,5 @@
         self.weights = copy.deepcopy(state.weights)
 
-        for key, disp_type in state.disp_obj_dict.iteritems():
+        for key, disp_type in state.disp_obj_dict.items():
             # disp_model = disp
             disp_model = POLYDISPERSITY_MODELS[disp_type]()
@@ -1378,5 +1381,5 @@
         dlg = wx.FileDialog(self, "Choose a weight file",
                             self._default_save_location, "",
-                            "*.*", wx.OPEN)
+                            "*.*", wx.FD_OPEN)
         path = None
         if dlg.ShowModal() == wx.ID_OK:
@@ -1390,5 +1393,5 @@
         """
         ids = iter(self._id_pool)  # Reusing ids for context menu
-        for name, _ in self.state.saved_states.iteritems():
+        for name, _ in self.state.saved_states.items():
             self.number_saved_state += 1
             # Add item in the context menu
@@ -1919,11 +1922,11 @@
                 else:
                     tcrtl.SetBackgroundColour("pink")
-                    msg = "Model Error: wrong value entered: %s" % \
-                          sys.exc_info()[1]
+                    _, exc, _ = sys.exc_info()
+                    msg = "Model Error: wrong value entered: %s" % exc
                     wx.PostEvent(self.parent, StatusEvent(status=msg))
                     return
-            except Exception:
+            except Exception as exc:
                 tcrtl.SetBackgroundColour("pink")
-                msg = "Model Error: wrong value entered: %s" % sys.exc_info()[1]
+                msg = "Model Error: wrong value entered: %s" % exc
                 wx.PostEvent(self.parent, StatusEvent(status=msg))
                 return
@@ -1976,11 +1979,11 @@
                 else:
                     tcrtl.SetBackgroundColour("pink")
-                    msg = "Model Error: wrong value entered: %s" % \
-                          sys.exc_info()[1]
+                    _, exc, _ = sys.exc_info()
+                    msg = "Model Error: wrong value entered: %s" % exc
                     wx.PostEvent(self._manager.parent, StatusEvent(status=msg))
                     return
-            except Exception:
+            except Exception as exc:
                 tcrtl.SetBackgroundColour("pink")
-                msg = "Model Error: wrong value entered: %s" % sys.exc_info()[1]
+                msg = "Model Error: wrong value entered: %s" % exc
                 wx.PostEvent(self._manager.parent, StatusEvent(status=msg))
                 return
@@ -2291,5 +2294,5 @@
                     value_ctrl.SetValue(format_number(value))
 
-                if name not in self.model.details.keys():
+                if name not in self.model.details:
                     self.model.details[name] = ["", None, None]
                 old_low, old_high = self.model.details[name][1:3]
@@ -2750,5 +2753,5 @@
         gui_manager = self._manager.parent
         # loops through the panels [dic]
-        for _, item2 in gui_manager.plot_panels.iteritems():
+        for _, item2 in gui_manager.plot_panels.items():
             data_title = self.data.group_id
             # try to get all plots belonging to this control panel
@@ -3324,5 +3327,5 @@
             if self.data.__class__.__name__ == "Data2D":
                 name = item[1]
-                if name in content.keys():
+                if name in content:
                     values = content[name]
                     check = values[0]
@@ -3373,5 +3376,5 @@
                 if not item[1] in orient_param:
                     name = item[1]
-                    if name in content.keys():
+                    if name in content:
                         check = content[name][0]
                         # Avoid changing combox content
@@ -3480,8 +3483,7 @@
                 self.state.weights = self.weights
 
-        except Exception:
+        except Exception as exc:
             logger.error(traceback.format_exc())
-            print("Error in BasePage._paste_poly_help: %s" % \
-                  sys.exc_info()[1])
+            print("Error in BasePage._paste_poly_help: %s" % exc)
 
     def _set_disp_cb(self, isarray, item):
@@ -3548,5 +3550,5 @@
 
         self.categorybox.Clear()
-        cat_list = sorted(self.master_category_dict.keys())
+        cat_list = list(sorted(self.master_category_dict.keys()))
         if uncat_str not in cat_list:
             cat_list.append(uncat_str)
Index: src/sas/sasgui/perspectives/fitting/fit_thread.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fit_thread.py	(revision ba8d326f0f4ceb55c77296a9b5af8bd013c7dd92)
+++ src/sas/sasgui/perspectives/fitting/fit_thread.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -12,5 +12,6 @@
 
 def map_apply(arguments):
-    return apply(arguments[0], arguments[1:])
+    fn, args = arguments[0], arguments[1:]
+    return fn(*args)
 
 class FitThread(CalcThread):
@@ -50,5 +51,5 @@
         except KeyboardInterrupt:
             msg = "Fitting: terminated by the user."
-            raise KeyboardInterrupt, msg
+            raise KeyboardInterrupt(msg)
 
     def compute(self):
@@ -76,5 +77,5 @@
                          list_q, list_q, list_handler, list_curr_thread,
                          list_reset_flag)
-            result = map(map_apply, inputs)
+            result = list(map(map_apply, inputs))
 
             self.complete(result=result,
@@ -85,5 +86,5 @@
                           elapsed=time.time() - self.starttime)
 
-        except KeyboardInterrupt, msg:
+        except KeyboardInterrupt as msg:
             # Thread was interrupted, just proceed and re-raise.
             # Real code should not print, but this is an example...
Index: src/sas/sasgui/perspectives/fitting/fitpage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitpage.py	(revision ca4f40d38aa2c0abd8d7a1571cf953a85a676091)
+++ src/sas/sasgui/perspectives/fitting/fitpage.py	(revision ca4f40d38aa2c0abd8d7a1571cf953a85a676091)
@@ -780,5 +780,5 @@
                 disp_box = wx.ComboBox(self, wx.ID_ANY, size=(65, -1),
                                        style=wx.CB_READONLY, name='%s' % name1)
-                for key, value in POLYDISPERSITY_MODELS.iteritems():
+                for key, value in POLYDISPERSITY_MODELS.items():
                     name_disp = str(key)
                     disp_box.Append(name_disp, value)
@@ -938,5 +938,5 @@
                 disp_box = wx.ComboBox(self, wx.ID_ANY, size=(65, -1),
                                 style=wx.CB_READONLY, name='%s' % name1)
-                for key, value in POLYDISPERSITY_MODELS.iteritems():
+                for key, value in POLYDISPERSITY_MODELS.items():
                     name_disp = str(key)
                     disp_box.Append(name_disp, value)
@@ -1378,7 +1378,7 @@
                 self._check_value_enter(self.fittable_param)
                 self._check_value_enter(self.parameters)
-            except:
+            except Exception as exc:
                 tcrtl.SetBackgroundColour("pink")
-                msg = "Model Error:wrong value entered : %s" % sys.exc_value
+                msg = "Model Error:wrong value entered : %s" % exc
                 wx.PostEvent(self._manager.parent, StatusEvent(status=msg))
                 return
@@ -1492,10 +1492,11 @@
                 else:
                     tcrtl.SetBackgroundColour("pink")
-                    msg = "Model Error:wrong value entered : %s" % sys.exc_value
+                    _, exc, _ = sys.exc_info()
+                    msg = "Model Error:wrong value entered : %s" % exc
                     wx.PostEvent(self._manager.parent, StatusEvent(status=msg))
                     return
-            except:
+            except Exception as exc:
                 tcrtl.SetBackgroundColour("pink")
-                msg = "Model Error:wrong value entered : %s" % sys.exc_value
+                msg = "Model Error:wrong value entered : %s" % exc
                 wx.PostEvent(self._manager.parent, StatusEvent(status=msg))
                 return
@@ -1902,5 +1903,5 @@
                     wx.PostEvent(self._manager.parent, StatusEvent(status=msg,
                                                info="error"))
-                    raise ValueError, msg
+                    raise ValueError(msg)
 
             else:
@@ -1914,5 +1915,5 @@
                     wx.PostEvent(self._manager.parent, StatusEvent(status=msg,
                                                info="error"))
-                    raise ValueError, msg
+                    raise ValueError(msg)
                 # Maximum value of data
                 qmax = math.sqrt(x * x + y * y)
@@ -2154,5 +2155,5 @@
         self._on_fit_complete()
         if out is None or not np.isfinite(chisqr):
-            raise ValueError, "Fit error occured..."
+            raise ValueError("Fit error occured...")
 
         is_modified = False
@@ -2229,5 +2230,5 @@
                 i += 1
             else:
-                raise ValueError, "onsetValues: Invalid parameters..."
+                raise ValueError("onsetValues: Invalid parameters...")
         # Show error title when any errors displayed
         if has_error:
@@ -2985,7 +2986,7 @@
         # type can be either Guassian or Array
         if len(self.model.dispersion.values()) > 0:
-            type = self.model.dispersion.values()[0]["type"]
-        else:
-            type = "Gaussian"
+            dist_type = list(self.model.dispersion.values())[0]["type"]
+        else:
+            dist_type = "Gaussian"
 
         iy += 1
@@ -3045,5 +3046,5 @@
 
         # For Gaussian only
-        if type.lower() != "array":
+        if dist_type.lower() != "array":
             for item in self.model.orientation_params:
                 if not self.magnetic_on:
Index: src/sas/sasgui/perspectives/fitting/fitpanel.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitpanel.py	(revision c9ecd1b562e38798001341ea1382b347f0cc1af9)
+++ src/sas/sasgui/perspectives/fitting/fitpanel.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -94,5 +94,5 @@
             batch_state = self.sim_page.set_state()
 
-        for uid, page in self.opened_pages.iteritems():
+        for uid, page in self.opened_pages.items():
             data = page.get_data()
             # state must be cloned
@@ -135,5 +135,5 @@
         if uid not in self.opened_pages:
             msg = "Fitpanel cannot find ID: %s in self.opened_pages" % str(uid)
-            raise ValueError, msg
+            raise ValueError(msg)
         else:
             return self.opened_pages[uid]
@@ -217,5 +217,5 @@
         page_is_opened = False
         if state is not None:
-            for uid, panel in self.opened_pages.iteritems():
+            for uid, panel in self.opened_pages.items():
                 # Don't return any panel is the exact same page is created
                 if uid == panel.uid and panel.data == state.data:
@@ -396,5 +396,5 @@
         """
         if data.__class__.__name__ != "list":
-            raise ValueError, "Fitpanel delete_data expect list of id"
+            raise ValueError("Fitpanel delete_data expect list of id")
         else:
             for page in self.opened_pages.values():
@@ -592,5 +592,5 @@
         if selected_page in page_finder:
             # Delete the name of the page into the list of open page
-            for uid, list in self.opened_pages.iteritems():
+            for uid, list in self.opened_pages.items():
                 # Don't return any panel is the exact same page is created
                 if flag and selected_page.uid == uid:
@@ -600,5 +600,5 @@
 
         # Delete the name of the page into the list of open page
-        for uid, list in self.opened_pages.iteritems():
+        for uid, list in self.opened_pages.items():
             # Don't return any panel is the exact same page is created
             if selected_page.uid == uid:
Index: src/sas/sasgui/perspectives/fitting/fitproblem.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitproblem.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
+++ src/sas/sasgui/perspectives/fitting/fitproblem.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -545,5 +545,5 @@
         return fitproblem contained in this dictionary
         """
-        return self.values()
+        return list(self.values())
 
     def set_result(self, result, fid):
